-- fv.core.Warehouse = Class("Warehouse", fv.core.Building)

function fv.core.Warehouse:generateResourceArea()
	self:createResourceArea(Vec3(0, 0, 0), 5, 4, 4, 100, false, 0.05, 0.05)
	end		

function fv.core.Warehouse:onStateChange()
	local b = self
	local data = self
	if b.working and b.damaged==false then
		if isValidUID(data["slot_planks"]) == false then	
			b:randReset()
			data["slot_planks"] = createDecorOnGroundRotate (0, b, "models/house/decor/LIF_liedplanks.prefab", -1.528, 0.0, -2.27)		
		end
	else			
		if isValidUID(data["slot_planks"]) then
			clearModelSlot(b,"slot_planks")
		end
	end
end	
